<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__stack__flash__param__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_stack_flash_param_t</compoundname>
    <includes local="no">cy_ble_stack_host_main.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__stack__flash__param__t_1a9b6241f01d15bfadca9f4cc486a49abe" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_stack_flash_param_t::bitField</definition>
        <argsstring />
        <name>bitField</name>
        <briefdescription>
<para>Bit field to specify the type of list to be stored in flash CY_BLE_PERSISTENT_BOND_LIST_BITMASK - B0 Bond List Data CY_BLE_PERSISTENT_RPA_LIST_BITMASK - B1 Resolving List Data CY_BLE_PERSISTENT_WHITELIST_BITMASK - B2 White List Data Bit B3 is internally used by the BLE Stack and other bits are reserved for future use. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="380" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="380" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Store BLE Application Data parameter into flash. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="381" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="371" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="372" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__stack__flash__param__t_1a9b6241f01d15bfadca9f4cc486a49abe" virt="non-virtual"><scope>cy_stc_ble_stack_flash_param_t</scope><name>bitField</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>